<?php
/**
 *
 * @package XCube
 * @version $Id: XCube_TextFilter.class.php,v 1.1.2.3 2007/01/18 10:20:41 nobunobu Exp $
 * @copyright Copyright 2005, 2006 XOOPS Cube Project <http://xoopscube.org/>
 * @license http://xoopscube.sourceforge.net/bsd_licenses.txt Modified BSD license
 *
 */

/**
 *
 * @final
 */
class XCube_TextFilter
{
    var $mDummy=null;  //Dummy member for preventing object be treated as empty.

    function getInstance(&$instance) {
       if (empty($instance)) {
            $instance = new XCube_TextFilter();
        }
    }
    
    function toShow($str) {
        return htmlspecialchars($str, ENT_QUOTES);
    }

    function toEdit($str) {
        return htmlspecialchars($str, ENT_QUOTES);
    }

}
?>
